org.apache.poi.hemf.record.emfplus

## Enum HemfPlusPen.EmfPlusPenAlignment

- java.lang.Object
- - java.lang.Enum<HemfPlusPen.EmfPlusPenAlignment>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusPen.EmfPlusPenAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusPen.EmfPlusPenAlignment>
  Enclosing class:
    HemfPlusPen

      public static enum HemfPlusPen.EmfPlusPenAlignment
      extends java.lang.Enum<HemfPlusPen.EmfPlusPenAlignment>

  The PenAlignment enumeration defines the distribution of the width of the pen with respect to the line being drawn.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Specifies that the EmfPlusPen object is centered over the theoretical line.
    `INSET` Specifies that the pen is positioned on the inside of the theoretical line.
    `LEFT` Specifies that the pen is positioned to the left of the theoretical line.
    `OUTSET` Specifies that the pen is positioned on the outside of the theoretical line.
    `RIGHT` Specifies that the pen is positioned to the right of the theoretical line.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusPen.EmfPlusPenAlignment` | `valueOf(int id)`
    `static HemfPlusPen.EmfPlusPenAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusPen.EmfPlusPenAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final HemfPlusPen.EmfPlusPenAlignment CENTER

      Specifies that the EmfPlusPen object is centered over the theoretical line.

    - #### INSET

          public static final HemfPlusPen.EmfPlusPenAlignment INSET

      Specifies that the pen is positioned on the inside of the theoretical line.

    - #### LEFT

          public static final HemfPlusPen.EmfPlusPenAlignment LEFT

      Specifies that the pen is positioned to the left of the theoretical line.

    - #### OUTSET

          public static final HemfPlusPen.EmfPlusPenAlignment OUTSET

      Specifies that the pen is positioned on the outside of the theoretical line.

    - #### RIGHT

          public static final HemfPlusPen.EmfPlusPenAlignment RIGHT

      Specifies that the pen is positioned to the right of the theoretical line.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusPen.EmfPlusPenAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusPen.EmfPlusPenAlignment c : HemfPlusPen.EmfPlusPenAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusPen.EmfPlusPenAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusPen.EmfPlusPenAlignment valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.